Overview
DELETE
/project/projects/{id}/artifacts/{artifactId}projectUn-link an artifact (soft delete; the target can be re-linked)
Delete a record from artifacts by id, artifactId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- artifactIdpathstring
Responses
204
Un-linked
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/project/projects/{id}/artifacts/{artifactId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/artifacts/{artifactId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();